# Class: device_hiera::netdev_device
# ==================================
#
# Creates a single netdev_device resource based on the node name
#
# Parameters
# ----------
#
# @param String node_name Name of the device
# * `node_name`  
#    default value: facts['certname']
#
# Variables
# ----------
#
# None
#
# Examples
#
# @example Hiera configuration for device_hiera
#
#  classes:
#    - device_hiera
#
#  device_hiera::resources:
#    - netdev_device 
#
#  # This is optional and can be left out
#  device_hiera::netdev_device::node_name: 'not-my-certname'
#
##Authors
# @author Jo Rhett http://github.com/jorhett/puppet-device_hiera/issues
# Jo Rhett, Net Consonance
#  - report issues at http://github.com/jorhett/puppet-device_hiera/issues
#
##Copyright
# &copy; 2015 Net Consonance
# All Rights Reserved
#
class device_hiera::netdev_device(
  String $node_name = $trusted['certname'],
) {

  #netdev_device { $node_name: }
}
